Subject: Re: [Netconf] Draft Charter Proposal for NETCONF WG

From: "Mehmet Ersue" <[email-masked]>
Date: Fri, 3 Mar 2017 15:40:36 +0100

Juergen,

In general I wouldn't have an issue with merging two WGs if the focus and
attendance would overlap by approx. 90% and it wouldn't cause an
unmanageable mammoth WG. The fact that we have related work to do and some
vocal key players attend both WGs, is IMO not sufficient as reason for
merging.

I believe there is a reason why IETF has established two different WGs. And
as regularly they do, OPS ADs and IESG took care that the charter
definitions are disjoint. I think it is not about being people able to
complete. It is rather about where it belongs. As such the discussion and
development of a topic should be done where the charter fits best.

In my opinion the separated charter and core focus of NETCONF and NETMOD WGs
makes sense to continue with the same spirit. Obviously both WGs have
sufficient amount of work on their list which are independent of each other.

Though it is also true that we have related work to do and as such the
schedule and content planning needs to be aligned. 
I think since the establishment of NETMOD WG in 2008 we do such alignment
regularly and this is still doable. 

Cheers,
Mehmet

> -----Original Message-----
> From: Juergen Schoenwaelder [mailto:j.schoenwaelder@jacobs-
> university.de]
> Sent: Thursday, March 2, 2017 9:31 AM
> To: t.petch <[email-masked]>
> Cc: Mehmet Ersue <[email-masked]>; 'Netconf' <[email-masked]>
> Subject: Re: [Netconf] Draft Charter Proposal for NETCONF WG
> 
> On Wed, Mar 01, 2017 at 09:58:58AM +0000, t.petch wrote:
> >
> > Juergen
> >
> > I am not sure what you are proposing;  Currently, datastores are
> > poorly described in RFC6241 and RFC7950 and the publication of another
> > incomplete description in the shape of
> > draft-ietf-netmod-revised-datastores
> > will likely make things worse.
> 
> You need to tell us why draft-ietf-netmod-revised-datastores is incomplete
> and you need to tell us why NETMOD (which did RFC7950) is not able to
> complete it while NETCONF is able to complete it.  I see the same people
> actively contributing in both WGs. As I said before, if the split of the
WGs
> becomes an issue, we should merge the two WGs into one.
> 
> At the end, we have to do what makes sense for the industry using
> NETCONF, YANG, RESTCONF, ... technology and discussions into which WG
> pieces of puzzle belong is just distracting us from doing useful work.
> 
> > I see a need for a datastores RFC, probably separate from the current
> > specifications, and do see the NETCONF WG as better placed to do it.
> >
> > I think that the rush to  get
> > draft-ietf-netmod-revised-datastores
> > out is militating against the long term health of NETCONF.
> 
> If something is wrong with draft-ietf-netmod-revised-datastores then by
all
> means contribute to the effort. I doubt that replicating this work in a
second
> WG will giveus better results.
> 
> /js
> 
> --
> Juergen Schoenwaelder           Jacobs University Bremen gGmbH
> Phone: +49 421 200 3587         Campus Ring 1 | 28759 Bremen | Germany
> Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>